imagecolorsforindex
imagecolortransparent
GD Functions
PHP Manual

# imagecolorstotal

(PHP 4, PHP 5)

imagecolorstotal — Find out the number of colors in an image's palette

### Description

int imagecolorstotal ( resource `$image` )

Returns the number of colors in an image palette.

### Parameters

`image`

  An image resource, returned by one of the image creation functions, such as imagecreatetruecolor().

### Return Values

Returns the number of colors in the specified image's palette or 0 for truecolor images.

### See Also

- imagecolorat()
- imagecolorsforindex()
- imageistruecolor()

imagecolorsforindex
imagecolortransparent
GD Functions
PHP Manual